Payments & FinancePayments
Capture payment
Captures an authorized payment transaction and returns its status and amount.
Path Parameters
paymentTransactionId*string
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/payments/7204558912004324696/capture" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "transactionId": "7204558912004323150", "status": "pending", "isCaptured": false, "paymentMethodCode": "POL-001", "code": "POL-001", "cardType": "visa", "amount": 178, "reference": "Frente al parque Kennedy.", "providerId": "7204558912004329705", "publicConfiguration": { "key": "Mi tienda" }, "clientSecret": "replace_with_a_random_secret", "checkoutUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon", "checkoutHtml": "Mi tienda", "qrCode": "POL-001", "receiptUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon", "expiresAt": "2026-09-28T15:30:00Z", "actionKind": "none"}